### Virtual Method

# Gtk CellLayout set_cell_data_func

#### Declaration [src]

    void
    set_cell_data_func (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      GtkCellLayoutDataFunc func,
      gpointer func_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the `GtkCellLayout`DataFunc to use for `cell_layout`.

This function is used instead of the standard attributes mapping for setting the column value, and should set the value of `cell_layout`’s cell renderer(s) as appropriate.

`func` may be `NULL` to remove a previously set function.

#### Parameters

`cell` | `GtkCellRenderer`
| A `GtkCellRenderer`.
| The data is owned by the caller of the function.
`func` | `GtkCellLayoutDataFunc`
| The `GtkCellLayout`DataFunc to use.
`func_data` | `gpointer`
| User data for `func`.
`destroy` | `GDestroyNotify`
| Destroy notify for `func_data`.